// ---------------------------------------------------------------------------------------------------------------------
// behavior.ts
// ---------------------------------------------------------------------------------------------------------------------

import { SageBehaviorBase } from '../behaviors/base';
import { SageEntity } from '../entity';

// ---------------------------------------------------------------------------------------------------------------------

export interface SageBehaviorConstructor {
    new (entity : SageEntity) : SageBehaviorBase;
}

// ---------------------------------------------------------------------------------------------------------------------
